
        self.widget = wxVTKRenderWindowInteractor(self.window_3_pane_2 ,-1)
        
        self.interactor_style = vtk.vtkInteractorStyleTrackballCamera()
        self.widget.SetInteractorStyle(self.interactor_style)

        #self.widget.AddObserver("ExitEvent", lambda o,e,f=MyFrame: sys.exit())

        #define the vtk renderer to do the drawing
        self.ren = vtk.vtkRenderer()
        ##self.ren.GetActiveCamera().ParallelProjectionOn()
        #self.ren.SetBackground(self.bg_cols[self.bg_col_index])

        #add the renderwindowinteractor to the wx application
        sizer_7.Add(self.widget, 0, wx.EXPAND)

        self.widget.GetRenderWindow().AddRenderer(self.ren)
        
        t = vtk.vtkSphereSource()
        t.SetRadius(5)
        t.SetCenter(0,0,0)
        
        tt = vtk.vtkPolyDataMapper()
        tt.SetInput(t.GetOutput())
        
        ttt = vtk.vtkActor()
        ttt.SetMapper(tt)
        
        self.ren.AddActor(ttt)
        
        
        
        #now enable and initialise the vtk components
        self.widget.Enable(1)
